echo OFF

rem INSTALL      for v1.666

 

echo.      ************************************
echo.      *    ALIENS Total Conversion       *
echo.      *                                  *
echo.      *        by Justin Fisher          *
echo.      *                                  *
echo.      ************************************
echo.
echo.   Secret level by Richard Love
echo.   Installation by Olivier Montanuy
echo.   Doom 2 Conversion by Jason Mezzacca
echo.
echo.   ************ Good News *************
echo.   You won't need to uninstall ALIEN TC
echo.   DOOM will still work as usual
echo.
echo.   ************ Bad News ****************
echo.   Installation still requires about 2 additional megs
echo.
echo.   Beside DeHackEd this install uses 
echo.   DeuSF, a powerfull tool to regenerate sprite and flats PWADS. 
echo.   Look for the last version of DeuTex/DeuSF on infant2.   
echo.
pause

echo This batch is for Registered version:
echo.   *** DOOM II ver. 1.666 ***
echo. hit CTRL-C now  if this is incorrect.
pause
ren doom2.wad doom.wad
echo. DOOM2.EXE and DOOM2.WAD must be in that directory

pause
goto save
:missfile
echo. Error: A file is Missing from the archives
exit
:fail
echo Error: Can't Find DOOM files
exit

:save
if not exist DEHACKED.INI goto save2
echo WARNING: existing file DEHACKED.INI could compromise
echo that installation.  Temporarily renaming to DINI.INI.
ren dehacked.ini dini.ini
exit

:save2

if not exist DOOM2.EXE goto fail
if not exist DOOM.WAD goto fail
echo Temporarily saving DOOM2.EXE as DOOMC.EXE
echo This uses about 600K of disk space
pause
copy DOOM2.EXE DOOMC.EXE

echo Checking ATC2WAD.WAD
if not exist ATC2WAD.WAD goto missfile
echo Checking ATC2SND.WAD
if not exist ATC2SND.WAD goto missfile
echo Checking ATC2SF.WAD
if not exist ATC2SF.WAD goto missfile
echo Checking DEHACKED.EXE
if not exist DEHACKED.EXE goto missfile



rem
rem V1.666 V2
rem
echo Checking ATC2.DEH
if not exist ATC2.DEH goto missfile
echo applying patch for 1.666
pause
Dehacked -load ATC2.DEH
if not ERRORLEVEL 0             goto failp
goto rename

:failp
ren DOOMC.EXE DOOM2.EXE
echo *********
echo * ERROR *
echo *********
echo An error occured.
echo  Do you use the right DOOM version?
echo  Is your DOOM version registered?
echo  did you have enough disk space?
exit



:rename
echo Changing .EXE name
pause
if exist ALIENTC.EXE del ALIENTC.EXE
ren DOOM2.EXE ALIENTC.EXE
ren DOOMC.EXE DOOM2.EXE
echo Modified DOOM2.EXE is now ALIENTC.EXE

rem
rem Sprite and Flat PWAD
rem  install compatible 1.2 and 1.666 and maybe DOOM2
rem
echo Creating new sprite and flat PWAD with DeuSF
echo This uses about 1.5 more meg of disk space.
pause
echo Checking atc2sf.wad
if not exist atc2sf.wad goto missfile
echo Appending sprites&flats to alitcsf.wad.
echo This may take a minute or so.

rem REM those lines if you do not want to append DOOM sprites
rem to alitcsf.wad
rem
DeuSF -app atc2sf.wad > atc2sf.log
if not ERRORLEVEL 0             goto failsf


rem Restoration
rem
echo To restore AlienTC sprite file:  DeuSF -res alitcsf.wad
goto fini

:failsf
echo *********
echo * ERROR *
echo *********
echo An error occured during sprite and flat generation.
echo Did you have enough disk space?
echo Else that could mean there was a bug in my DeuSF.EXE.
echo If this is confirmed, mail me your bitter
echo disapointment together with the file ATC2SF.LOG
echo    Really sorry for the inconvenience.
echo      O.Montanuy (montanuy@dmi.ens.fr)
exit


:fini
ren doom.wad doom2.wad
if exist dini.ini ren dini.ini dehacked.ini
echo. finished!
echo. PWAD Files:
echo.   atc2tex.wad = missing texture patches for D2
echo.   atc2snd.wad = sounds
echo.   atc2wad.wad = levels demo graphics patches
echo.   atc2sf.wad = all the sprites flats
echo.
echo. To play, type ALIEN.  To play the bonus levels
echo. type ALIENB.

